? atomic_count_solaris.hpp
? sp_counted_base_solaris.hpp
Index: atomic_count.hpp
===================================================================
RCS file: /cvsroot/boost/boost/boost/detail/atomic_count.hpp,v
retrieving revision 1.11
diff -u -r1.11 atomic_count.hpp
--- atomic_count.hpp	30 Mar 2005 22:52:54 -0000	1.11
+++ atomic_count.hpp	2 Jul 2006 13:06:30 -0000
@@ -95,6 +95,32 @@
 #  include <boost/detail/atomic_count_win32.hpp>
 #elif defined(__GLIBCPP__) || defined(__GLIBCXX__)
 #  include <boost/detail/atomic_count_gcc.hpp>
+#elif defined(__SVR4) && defined(__sun)
+#  if defined(__SunOS_5_0) || defined(__SunOS_5_1) || \
+      defined(__SunOS_5_2) || defined(__SunOS_5_3) || \
+      defined(__SunOS_5_4) || defined(__SunOS_5_5) || \
+      defined(__SunOS_5_6) || defined(__SunOS_5_7) || \
+      defined(__SunOS_5_8) || defined(__SunOS_5_9)
+     // SunOS < 5.10 (Solaris 10) does not have atomic.h
+#    define BOOST_AC_USE_PTHREADS
+#    include <boost/detail/atomic_count_pthreads.hpp>
+#  else
+     // we're looking at SunOS 5.10 or higher
+#    if defined(__SunOS_5_10)
+       // SunOS 5.10 (Solaris 10) has atomic.h from update 1,
+       // but there's no way for us to automatically determine
+       // which update release we're on, so we let the user
+       // decide for us
+#      if defined(BOOST_HAS_SOLARIS_ATOMIC)
+#        include <boost/detail/atomic_count_solaris.hpp>
+#      else
+#        define BOOST_AC_USE_PTHREADS
+#        include <boost/detail/atomic_count_pthreads.hpp>
+#      endif
+#    else
+#      include <boost/detail/atomic_count_solaris.hpp>
+#    endif
+#  endif // __SunOS version handling
 #elif defined(BOOST_HAS_PTHREADS)
 #  define BOOST_AC_USE_PTHREADS
 #  include <boost/detail/atomic_count_pthreads.hpp>
Index: sp_counted_base.hpp
===================================================================
RCS file: /cvsroot/boost/boost/boost/detail/sp_counted_base.hpp,v
retrieving revision 1.8
diff -u -r1.8 sp_counted_base.hpp
--- sp_counted_base.hpp	24 May 2005 12:11:35 -0000	1.8
+++ sp_counted_base.hpp	2 Jul 2006 13:06:30 -0000
@@ -55,6 +55,26 @@
 
 # include <boost/detail/sp_counted_base_nt.hpp>
 
+#elif defined(__SVR4) && defined(__sun)
+
+#  if defined(__SunOS_5_0) || defined(__SunOS_5_1) || \
+      defined(__SunOS_5_2) || defined(__SunOS_5_3) || \
+      defined(__SunOS_5_4) || defined(__SunOS_5_5) || \
+      defined(__SunOS_5_6) || defined(__SunOS_5_7) || \
+      defined(__SunOS_5_8) || defined(__SunOS_5_9)
+#    include <boost/detail/sp_counted_base_pt.hpp>
+#  else
+#    if defined(__SunOS_5_10)
+#      if defined(BOOST_HAS_SOLARIS_ATOMIC)
+#        include <boost/detail/sp_counted_base_solaris.hpp>
+#      else
+#        include <boost/detail/sp_counted_base_pt.hpp>
+#      endif
+#    else
+#      include <boost/detail/sp_counted_base_solaris.hpp>
+#    endif
+#  endif
+
 #elif defined( BOOST_HAS_PTHREADS )
 
 # include <boost/detail/sp_counted_base_pt.hpp>
